Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.cdn.presets.applied.unapply(
object_id=0,
preset_id=0,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.CDN.Presets.Applied.Unapply(
context.TODO(),
0,
cdn.PresetAppliedUnapplyParams{
PresetID: 0,
},
)
if err != nil {
panic(err.Error())
}
}
curl --request DELETE \
--url https://api.gcore.com/cdn/presets/{preset_id}/applied/{object_id} \
--header 'Authorization: <api-key>'const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/presets/{preset_id}/applied/{object_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Presets
Unapply preset
Unapply the preset from the object. The options managed by the preset are removed from the object.
DELETE
/
cdn
/
presets
/
{preset_id}
/
applied
/
{object_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
client.cdn.presets.applied.unapply(
object_id=0,
preset_id=0,
)package main
import (
"context"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.CDN.Presets.Applied.Unapply(
context.TODO(),
0,
cdn.PresetAppliedUnapplyParams{
PresetID: 0,
},
)
if err != nil {
panic(err.Error())
}
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Preset ID.
ID of the object (CDN resource or rule) the preset is applied to.
Response
Successful.
Was this page helpful?
⌘I